Gecode::Search::Seq::Slave Class Reference

Runnable slave of a portfolio master. More...

`#include <pbs.hh>`

## Public Member Functions

void | init (Engine *s, Stop *so)
| Initialize with slave s and its stop object so.
Space * | next (void)
| Return next solution.
Statistics | statistics (void) const
| Return statistics of slave.
bool | stopped (void) const
| Check whether slave has been stopped.
void | constrain (const Space &b)
| Constrain with better solution b.
void | run (void)
| Perform one run.
| ~Slave (void)
| Delete slave.

## Protected Attributes

Engine * | slave
| The slave engine.
Stop * | stop
| Stop object.

## Detailed Description

Runnable slave of a portfolio master.

Definition at line 67 of file pbs.hh.

## Constructor & Destructor Documentation

## ~Slave()

Gecode::Search::Seq::Slave::~Slave | ( | void |  | ) |

inline

Delete slave.

Definition at line 69 of file pbs.hpp.

## Member Function Documentation

## init()

void Gecode::Search::Seq::Slave::init | ( | Engine * | s,
|  | Stop * | so )

inline

Initialize with slave s and its stop object so.

Definition at line 49 of file pbs.hpp.

## next()

Space * Gecode::Search::Seq::Slave::next | ( | void |  | ) |

inline

Return next solution.

Definition at line 53 of file pbs.hpp.

## statistics()

Statistics Gecode::Search::Seq::Slave::statistics | ( | void |  | ) | const

inline

Return statistics of slave.

Definition at line 57 of file pbs.hpp.

## stopped()

bool Gecode::Search::Seq::Slave::stopped | ( | void |  | ) | const

inline

Check whether slave has been stopped.

Definition at line 61 of file pbs.hpp.

## constrain()

void Gecode::Search::Seq::Slave::constrain | ( | const Space & | b | ) |

inline

Constrain with better solution b.

Definition at line 65 of file pbs.hpp.

## run()

void Gecode::Search::Seq::Slave::run | ( | void |  | ) |

Perform one run.

## Member Data Documentation

## slave

Engine* Gecode::Search::Seq::Slave::slave

protected

The slave engine.

Definition at line 70 of file pbs.hh.

## stop

Stop* Gecode::Search::Seq::Slave::stop

protected

Stop object.

Definition at line 72 of file pbs.hh.

The documentation for this class was generated from the following files:

- gecode/search/seq/pbs.hh
- gecode/search/seq/pbs.hpp